Package ru.bitel.bgbilling.kernel.admin.certificate.common.service

# Interface CertificateService

public interface CertificateService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `aliasEntryDelete(String alias)`
  `List<AliasEntry>`
  `aliasEntryList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `caCertList()`
  `CertificateHolder`
  `certificateGet(String alias, int chainIndex)`
  `void`
  `certificateSet(String alias, String certificateType, String keyText, String cerText)`
  `void`
  `certificateSetP12(String encodeString, String pswd)`
  `boolean`
  `checkKeystore()`
  `boolean`
  `createKeystore()`
  `String`
  `keyGet(String alias)`

- ## Method Details

  - ### aliasEntryList

    List<AliasEntry> aliasEntryList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### certificateGet

    CertificateHolder certificateGet(String alias, int chainIndex) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### certificateSet

    void certificateSet(String alias, String certificateType, String keyText, String cerText) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### keyGet

    String keyGet(String alias) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### aliasEntryDelete

    void aliasEntryDelete(String alias) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### caCertList

    List<ru.bitel.bgbilling.common.model.KeyValue> caCertList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### certificateSetP12

    void certificateSetP12(String encodeString, String pswd) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkKeystore

    boolean checkKeystore() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### createKeystore

    boolean createKeystore() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`